Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# IORC.i File Reference

This graph shows which files directly or indirectly include this file:

## Defines
#define | _TAO_IOP_TAO_IOR_PROPERTY___CI_
#define | __TAO_UNBOUNDED_OBJECT_SEQUENCE_TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CI_
#define | _TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CI_
#define | _TAO_IOP_TAO_IOR_MANIPULATION___CI_
## Functions
ACE_INLINE TAO_IOP::TAO_IOR_Property_ptr | tao_TAO_IOP_TAO_IOR_Property_duplicate ( TAO_IOP::TAO_IOR_Property_ptr p )
ACE_INLINE void | tao_TAO_IOP_TAO_IOR_Property_release ( TAO_IOP::TAO_IOR_Property_ptr p )
ACE_INLINE TAO_IOP::TAO_IOR_Property_ptr | tao_TAO_IOP_TAO_IOR_Property_nil ( void )
ACE_INLINE TAO_IOP::TAO_IOR_Property_ptr | tao_TAO_IOP_TAO_IOR_Property_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_TAO_IOP_TAO_IOR_Property_upcast ( void *src )
ACE_INLINE TAO_IOP::TAO_IOR_Manipulation_ptr | tao_TAO_IOP_TAO_IOR_Manipulation_duplicate ( TAO_IOP::TAO_IOR_Manipulation_ptr p )
ACE_INLINE void | tao_TAO_IOP_TAO_IOR_Manipulation_release ( TAO_IOP::TAO_IOR_Manipulation_ptr p )
ACE_INLINE TAO_IOP::TAO_IOR_Manipulation_ptr | tao_TAO_IOP_TAO_IOR_Manipulation_nil ( void )
ACE_INLINE TAO_IOP::TAO_IOR_Manipulation_ptr | tao_TAO_IOP_TAO_IOR_Manipulation_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_TAO_IOP_TAO_IOR_Manipulation_upcast ( void *src )

## Define Documentation

#define _TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CI_

#define _TAO_IOP_TAO_IOR_MANIPULATION___CI_

#define _TAO_IOP_TAO_IOR_PROPERTY___CI_

#define __TAO_UNBOUNDED_OBJECT_SEQUENCE_TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CI_

## Function Documentation

ACE_INLINE TAO_IOP::TAO_IOR_Manipulation_ptr tao_TAO_IOP_TAO_IOR_Manipulation_duplicate ( | TAO_IOP::TAO_IOR_Manipulation_ptr p )

ACE_INLINE TAO_IOP::TAO_IOR_Manipulation_ptr tao_TAO_IOP_TAO_IOR_Manipulation_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE TAO_IOP::TAO_IOR_Manipulation_ptr tao_TAO_IOP_TAO_IOR_Manipulation_nil ( | void )

ACE_INLINE void tao_TAO_IOP_TAO_IOR_Manipulation_release ( | TAO_IOP::TAO_IOR_Manipulation_ptr p )

ACE_INLINE CORBA::Object * tao_TAO_IOP_TAO_IOR_Manipulation_upcast ( | void * src )

ACE_INLINE TAO_IOP::TAO_IOR_Property_ptr tao_TAO_IOP_TAO_IOR_Property_duplicate ( | TAO_IOP::TAO_IOR_Property_ptr p )

ACE_INLINE TAO_IOP::TAO_IOR_Property_ptr tao_TAO_IOP_TAO_IOR_Property_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE TAO_IOP::TAO_IOR_Property_ptr tao_TAO_IOP_TAO_IOR_Property_nil ( | void )

ACE_INLINE void tao_TAO_IOP_TAO_IOR_Property_release ( | TAO_IOP::TAO_IOR_Property_ptr p )

ACE_INLINE CORBA::Object * tao_TAO_IOP_TAO_IOR_Property_upcast ( | void * src )